Subject: Re: bug#56288: Pitivi can't be started
From: Maxim Cournoyer <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked], Liliana Marie Prikler <[email-masked]>, Christian Miller <[email-masked]>
Date: Thu, 07 Jul 2022 12:21:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Josselin Poiret <[email-masked]> writes:

> Hello Lily and Christian,
>
> This is unfortunately the usual gdk-pixbuf SVG loader not being found,
> since it is part of librsvg.  Some details are described in [1] already,
> but to summarize:  we need to propagate gdk-pixbuf so that the
> search-path GDK_PIXBUF_MODULE_FILE is properly set for the profile.
>
> Hence, I can reproduce the issue with
>
> guix shell --pure pitivi -- pitivi
>
>
> but the following launches pitivi properly (didn't check further)
>
> guix shell --pure pitivi gdk-pixbuf hicolor-icon-theme adwaita-icon-theme -- pitivi
>
> I think it's very impractical that we have to do this for all packages
> that wish to load SVG files via gdk-pixbuf, because it's technical and
> not a concern that upstream developers document, since they don't
> encounter such behavior.

Agreed; on the other hand it's not much more impractical than having to
propagate manually the icons, albeit harder to discover.  An easy
solution is to propagate librsvg, which I did in 47f0b3ad14.  I've also
updated Pitivi to its latest release in the following commit.

Closing,

Thanks!

Maxim